Package org.apache.synapse.transport.netty.listener

# Class Axis2HttpSSLTransportListener

java.lang.Object
org.apache.synapse.transport.netty.listener.Axis2HttpTransportListener
org.apache.synapse.transport.netty.listener.Axis2HttpSSLTransportListener

All Implemented Interfaces:
  `org.apache.axis2.transport.TransportListener`

public class Axis2HttpSSLTransportListener extends Axis2HttpTransportListener
`Axis2HttpsTransportListener` is the Axis2 Transport Listener implementation for Netty based HTTPs transport.

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.transport.netty.listener.Axis2HttpTransportListener

  `messagingHandlers, sourceConfiguration, transportInDescription`

  ### Fields inherited from interface org.apache.axis2.transport.TransportListener

  `HOST_ADDRESS, PARAM_PORT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Axis2HttpSSLTransportListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.wso2.transport.http.netty.contract.config.ListenerConfiguration`
  `initListenerConfiguration()`
  `protected Scheme`
  `initScheme()`

  ### Methods inherited from class org.apache.synapse.transport.netty.listener.Axis2HttpTransportListener

  `destroy, getEPRForService, getEPRsForService, getSessionContext, init, setMessagingHandlers, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Axis2HttpSSLTransportListener

    public Axis2HttpSSLTransportListener()

- ## Method Details

  - ### initScheme

    protected Scheme initScheme()
    Overrides:
      `initScheme` in class `Axis2HttpTransportListener`

  - ### initListenerConfiguration

    protected org.wso2.transport.http.netty.contract.config.ListenerConfiguration initListenerConfiguration() throws org.apache.axis2.AxisFault
    Overrides:
      `initListenerConfiguration` in class `Axis2HttpTransportListener`
    Throws:
      `org.apache.axis2.AxisFault`